VARKON Version 1.17 1999-04-14

> ## set - Procedure

> Sets an attribute

> Description

> Changes the current value for one or more attributes. The new value will continue to be in effect as long as execution continues within this module or any modules called by this module.

> Syntax

> set(attribute = value, attribute = value,.......)

> One or more attributes with value may be specified in the same call.

> Attributes

> Name | Type | Max | Min | Default | Description
> PEN | INT | 32768 | 0 | 1 | Pen or colour number
> LEVEL | INT | 1999 | 0 | 0 | Level number
> BLANK | INT | 1 | 0 | 0 | Visible/unvisible
> HIT | INT | 1 | 0 | 1 | Hitable/unhitable
> SAVE | INT | 1 | 0 | 1 | Save/no save
> LFONT | INT | 2 | 0 | 0 | Linefont
> AFONT | INT | 2 | 0 | 0 | Arcfont
> CFONT | INT | 2 | 0 | 0 | Curvefont
> SFONT | INT | 0 | 0 | 0 | Surfacefont
> TFONT | INT | - | 0 | 0 | Textfont
> XFONT | INT | 2 | 0 | 0 | Hatchfont
> LDASHL | FLOAT | - | >0.0 | 3.0 | Dashlengt for lines
> ADASHL | FLOAT | - | >0.0 | 3.0 | Dashlengt for arcs
> CDASHL | FLOAT | - | >0.0 | 3.0 | Dashlengt for curves
> SDASHL | FLOAT | - | >0.0 | 3.0 | Dashlengt for surfaces
> XDASHL | FLOAT | - | >0.0 | 3.0 | Dashlengt for hatching
> WIDTH | FLOAT | - | 0.0 | 0.0 | Line/arc/curve width
> TSIZE | FLOAT | - | >0.0 | 5.0 | Text size
> TWIDTH | FLOAT | - | >0.0 | 60 | Text width
> TSLANT | FLOAT | - | - | 15 | Text slant
> TPMODE | INT | 1 | 0 | 0 | Text 3D mode
> DTSIZ | FLOAT | - | >0.0 | 5.0 | Dim. text size
> DASIZ | FLOAT | - | >0.0 | 5.0 | Dim. arrow size
> DNDIG | INT | 15 | 0 | 0 | Dim. precision
> DAUTO | INT | 1 | 0 | 1 | Dim. text on/off

> Example

> set(LFONT=1, LDASHL=15);

> Activates linefont 1 (dashed) and sets its dashlength to 15 millimeters.

> Comments

> See also set_basic().

VARKON Homepage | Index